#pragma once
#include "afxcmn.h"
#include "tinyxml.h"
#include "afxwin.h"
#include "afxdtctl.h" 
#include "CTPPlayerAtl.h"
#include "CPlayBackAtl.h"

class CVCDemoDlg;

class CRecordSearch : public CDialog
{
	DECLARE_DYNAMIC(CRecordSearch)

public:
	CRecordSearch(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CRecordSearch();

// 对话框数据
	enum { IDD = IDD_RECORD_DLG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持
	DECLARE_MESSAGE_MAP()
public:
	int OnRecaLoginXml(int nCode,BSTR & xml);
	int nIsRunning;
public:
	virtual BOOL OnInitDialog();
public:
	afx_msg void OnDestroy();
	CVCDemoDlg * m_parent;
public:
	CTreeCtrl m_DevTree;
public:
	afx_msg void OnTvnSelchangedDevlist(NMHDR *pNMHDR, LRESULT *pResult);
	_bstr_t selectDevId;
	TiXmlElement * pSelectNode;
	int ReloadDeviceList(TiXmlDocument & m_devListDoc);
public:
	CEdit m_DevId;
public:
	CComboBox m_VideoSrc;
public:
	CComboBox m_RecordType;
public:
	CComboBox m_MediaType;
public:
	afx_msg void OnCbnSelchangeCombo2();
public:
	CComboBox m_StreamType;
public:
	afx_msg void OnBnClickedSearch();
public:
	CDateTimeCtrl m_starttime;
public:
	CDateTimeCtrl m_endtime;
public:
	CListCtrl m_recordList;
public:
	afx_msg void OnBnClickedNext();
	int pageid;
	int SearchPage(int idx);
public:
	afx_msg void OnBnClickedPrev();
public:
	afx_msg void OnNMDblclkSeartresult(NMHDR *pNMHDR, LRESULT *pResult);
public:
	CPlayBackAtl  m_Player;
	long vssip;
	int vssport;
	int playtype;
};
